LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 09-24-2005, 02:11 PM   #1
burntfuse
Member
 
Registered: Sep 2005
Location: Laurel, MD, USA
Distribution: Slackware 10.1, FC5
Posts: 164

Rep: Reputation: 30
Can't build 2.6.12 kernel


I've been unsuccessfully trying to compile the 2.6.12 kernel on my box running Red Hat Linux 9. When I run "make menuconfig" in a terminal program, I get lines and lines of errors from the Kconfig file in each directory. They look something like this:

"Kconfig: 26: invalid menu option"
"Kconfig: 26: syntax error, unexpected T_TRISTATE"
"Kconfig: 29..."

Each of the lines in the particular Kconfig file where it reports the errors is part of the help text for a build option. The same happens when I try "make config". Googling hasn't helped... Anyone know what I'm doing wrong?
 
Old 09-24-2005, 02:52 PM   #2
btmiller
Senior Member
 
Registered: May 2004
Location: In the DC 'burbs
Distribution: Arch, Scientific Linux, Debian, Ubuntu
Posts: 4,275

Rep: Reputation: 370Reputation: 370Reputation: 370Reputation: 370
Do you have the ncurses-devel package installed on your system? The menuconfig uses ncurses, so you'll need to have the development headers and libraries.

Also, be advised that the module tools shipped with RH9 (lsmod, modprobe, etc.) won't wotk with a 2.6 kernel (they're too old), so you'll have to upgrade them too.
 
Old 09-25-2005, 10:38 AM   #3
burntfuse
Member
 
Registered: Sep 2005
Location: Laurel, MD, USA
Distribution: Slackware 10.1, FC5
Posts: 164

Original Poster
Rep: Reputation: 30
Thanks, I do have ncurses, but if the other packages are too old too, maybe it would be worth just installing SuSE instead, since I've got a much newer version of that...
 
Old 09-25-2005, 10:53 AM   #4
b0nd
Senior Member
 
Registered: Jan 2005
Distribution: Slackware, BackTrack, Windows XP
Posts: 1,020

Rep: Reputation: 45
ya, that may be a better option.
b'coz upgrading RH 9 2.4.x to 2.6.x is a tough and time taking job. U will have to do many upgradations.
So better have some 2.6.x and then re-compile that according to yr need

regards
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
10.1 install kernel and kernel-source different - build fails Feebles Mandriva 2 06-10-2005 07:58 PM
kernel-source-2.6.5-7.src.rpm requires kernel-dummy to build!? fizzdandantilus SUSE / openSUSE 5 12-02-2004 01:48 PM
New FAQ topic: Should I edit my kernel configuration?/Should I build a custom kernel? chort *BSD 10 09-11-2004 12:15 AM
Unable to build NVIDIA kernel module / determin kernel version Night Ink Fedora 2 05-31-2004 05:54 PM
Cant run X/KDM after new kernel build, even on old kernel bbska Slackware 2 02-25-2004 11:23 AM


All times are GMT -5. The time now is 08:23 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration